org.apache.fop.render.pcl.fonts

## Class PCLCharacterDefinition

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLCharacterDefinition

    public class PCLCharacterDefinition
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PCLCharacterDefinition.PCLCharacterClass` Character Class used in PCL Character Descriptor See Table 11-51 from PCL 5 Specification
`static class` `PCLCharacterDefinition.PCLCharacterFormat` Character Format used in PCL Character Descriptor See Table 11-50 from PCL 5 Specification

### Constructor Summary

Constructors
Constructor and Description
`PCLCharacterDefinition(int charCode, PCLCharacterDefinition.PCLCharacterFormat charFormat, PCLCharacterDefinition.PCLCharacterClass charClass, byte[] glyfData, boolean isComposite)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCompositeGlyph(PCLCharacterDefinition composite)`
`byte[]` `getCharacterCommand()`
`byte[]` `getCharacterDefinitionCommand()`
`List<PCLCharacterDefinition>` `getCompositeGlyphs()`
`byte[]` `getData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PCLCharacterDefinition

    public PCLCharacterDefinition(int charCode,
                                  PCLCharacterDefinition.PCLCharacterFormat charFormat,
                                  PCLCharacterDefinition.PCLCharacterClass charClass,
                                  byte[] glyfData,
                                  boolean isComposite)

### Method Detail

#### getCharacterCommand

    public byte[] getCharacterCommand()
                               throws IOException

Throws:
  `IOException`

#### getCharacterDefinitionCommand

    public byte[] getCharacterDefinitionCommand()
                                         throws IOException

Throws:
  `IOException`

#### getData

    public byte[] getData()
                   throws IOException

Throws:
  `IOException`

#### addCompositeGlyph

    public void addCompositeGlyph(PCLCharacterDefinition composite)

#### getCompositeGlyphs

    public List<PCLCharacterDefinition> getCompositeGlyphs()